Специалисты Nightwatch Cybersecurity обнаружили опасную уязвимость в Android (CVE-2018-9489).

Проблема связана широковещательными сообщениями (Broadcast), а именно с механикой работы Intent — «намерений», которые используются для абстрактного описания операций и позволяют приложениям и ОС транслировать общесистемные сообщения, которые могут быть прочитаны любыми приложениями или компонентами самой ОС. По сути, «намерения» используются для межпроцессного взаимодействия и чаще всего применяются для вызова другой Activity, например, запуска браузера и перехода по заданному адресу.

Исследователи обнаружили, что информация о Wi-Fi сети и интерфейсе транслируется сразу двумя Intent’ами: WifiManager и NETWORK_STATE_CHANGED_ACTION и WifiP2pManager WIFI_P2P_THIS_DEVICE_CHANGED_ACTION. Используя эту особенность, любые приложения и их рекламные компоненты могут узнать имя Wi-Fi сети, BSSID, локальный IP, информацию о DNS-сервере и MAC-адрес устройства. Причем перехватить эти данные возможно даже в том случае, если у приложений нет разрешения на доступ к функциям Wi-Fi. Фактически, атака позволяет обойти систему разрешений Android.

Хотя на первый взгляд «утекающие» данные могут показаться не слишком важными, нужно понимать, что с помощью этой информации рекламные компоненты приложений или малварь могут идентифицировать и отслеживать пользователя. К примеру, BSSID можно поискать в публично доступных базах WiGLE и SkyHook, таким образом узнав даже физическое местоположение жертвы. В этом случае атака, по сути, позволяет обойти еще и разрешение Location Access.

По данным Nightwatch Cybersecurity, перед проблемой уязвимы все версии Android старше 6.0, включая крупные форки, вроде FireOS компании Amazon. Исследователи проинформировали Google об уязвимости еще в марте текущего года, и инженеры компании исправили ее в Android Pie (9.0). Однако патчей для других версий ОС не ожидается.

Оставить мнение